Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List workspace API keys

List all active API keys for a specific workspace

GET/workspaces/{workspaceId}/api-keys
Authorization
AuthorizationBearer token · headerrequired

Company API key (starts with ord_c_)

Path parameters
workspaceIdstring<uuid>required
Responses
200

OK

apiKeysobject[]required
Show properties
Array of object
idstring<uuid>required
namestringrequired
keyHintstringrequired
lastUsedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
400

Bad Request - Invalid input parameters

codestring
messagestring
errorsobject
401

Unauthorized - User is not authenticated

statusnumber
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/company/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-keys' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "apiKeys": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "keyHint": "string",
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}